Subject: Re: bug#39949: [core-updates] [email-masked] fails tests

From: Marius Bakke <[email-masked]>
Date: Thu, 02 Apr 2020 21:16:27 +0200

Bengt Richter <[email-masked]> writes:

> Hi Marius,
>
> On +2020-03-31 16:04:03 +0200, Marius Bakke wrote:
>> Marius Bakke <[email-masked]> writes:
>> 
>> > Rust 1.20 fails a test on core-updates, possibly because of the new
>> > version of GNU Make (4.3).
>> >
>> > I suppose we can disable that test for the bootstrap builds as long as
>> > it works for the latest version of Rust.
>> 
>> Fixed by giving Rust an earlier version of GNU Make in commit
>> 47cd0febe957b698cc2ae28978bdc3bc89e787f9.
>
> ISTM this kind of "fixed" is not the same as e.g. an upstream upgrade that
> "fixes" "the problem" -- so I'm wondering if work-flow-wise
> you have a way to tell some upgrade-watching robot to notify you (or your s/w[1])
> when the inevitable revision to your "fix" should be done.

I don't know of any such service, but would probably use it if it
exists!  Often fixes are already available in upstream repositories, so
it's a matter of locating it and checking the log on the file in
question.

In this case I was too lazy as Rust 1.20 is already ancient and there is
work on bootstrapping 1.29 directly in another issue.

> Are there any general standards for subscribing interest in being notified
> when a particular package or file gets upgraded/revised/etc in any "distro"
> your package may be dependent on?

I do subscribe to a bunch of mailing lists and Atom feeds to get
notified of new releases and encourage others to do the same for
packages they care about.  Pro tip: both GitLab and GitHub offers
release feeds on these URLs:

https://gitlab.com/project/package/tags?format=atom
https://github.com/project/package/releases.atom

> [1] Is there such a thing as a derivation/service that sits and waits for such
> a notification, and maybe sends you a patch when it does get notified?
>
> Just curious how the world works :)

IME best way to learn how something works is to take part in it!  I have
learned a whole lot since I got involved with Guix, both personally and
professionally, and don't intend to stop any time soon!  :-)